Module | Tk::Tcllib::Autoscroll
In: | tk/lib/tkextlib/tcllib/autoscroll.rb

### Methods

autoscroll autoscroll not_available package_name package_version unautoscroll unautoscroll unwrap wrap

### Constants

PACKAGE_NAME | = | 'autoscroll'.freeze

### Public Class methods

autoscroll(win)

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 139
          def self.autoscroll(win)
            tk_call_without_enc('::autoscroll::autoscroll', win.path)
          end

autoscroll(win)

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 51
          def self.autoscroll(win)
            Tk::Tcllib::Autoscroll.not_available
          end

not_available()

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 47
          def self.not_available
            fail RuntimeError, "'tkextlib/tcllib/autoscroll' extension is not available on your current environment."
          end

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 35
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 39
          def self.package_version
            begin
              TkPackage.require('autoscroll')
            rescue
              ''
            end
          end

unautoscroll(win)

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 143
          def self.unautoscroll(win)
            tk_call_without_enc('::autoscroll::unautoscroll', win.path)
          end

unautoscroll(win)

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 55
          def self.unautoscroll(win)
            Tk::Tcllib::Autoscroll.not_available
          end

unwrap()

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 152
          def self.unwrap
            # v1.1
            tk_call_without_enc('::autoscroll::unwrap')
          end

wrap()

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 147
          def self.wrap
            # v1.1
            tk_call_without_enc('::autoscroll::wrap')
          end

[Validate]